Express

POST

Pay a Lightning Network invoice from the given wallet.

Path Params

  • coin string required
    A lightning coin name.
  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

Body Params

object

  • invoice string required
    The BOLT 11 invoice to pay
  • passphrase string required
    The wallet passphrase
  • amountMsat string
    The amount to pay in millisatoshis. This is required if you're paying a zero value invoice.
  • feeLimitMsat string
    Optional maximum fee to pay in millisatoshis
  • feeLimitRatio number
    Optional maximum fee expressed as a ratio of the payment amount
  • sequenceId string
    Optional sequence ID for the payment transfer
  • comment string
    Optional comment for the payment transfer

Responses

200
OK

Response Body

object

  • txRequestId string
    Transaction request identifier
  • txRequestState string enum
    initializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed
  • pendingApproval object
    pendingApproval object
    • id string

      matches ^[0-9a-f]{32}$

    • coin string
      A cryptocurrency or token ticker symbol.
    • wallet string

      matches ^[0-9a-f]{32}$

    • enterprise string

      matches ^[0-9a-f]{32}$

    • organization string

      matches ^[0-9a-f]{32}$

    • creator string

      matches ^[0-9a-f]{32}$

    • createDate string date-time
    • info object

      ANY OF

      • transactionRequest object
        transactionRequest object
        • buildParams object
        • coinSpecific object
        • comment string
        • fee string or integer
        • isUnsigned boolean
        • recipients array of objects
          recipients object
          • address string

            up to 500 characters

          • amount string or integer
          • data string
        • requestedAmount object
          requestedAmount object
          • Same shape as IntegerOrIntegerString.
        • sourceWallet string

          matches ^[0-9a-f]{32}$

        • triggeredPolicy string

          matches ^[0-9a-f]{32}$

        • validTransaction string
        • validTransactionHash string
      • type string enum
        transactionRequest
    • state string

      ANY OF

      string enum

    • scope string enum
      What kind of entity the Pending Approval is tied to
      enterprisewallet
    • userIds array of strings
      All the Users who should see this Pending Approval
    • approvalsRequired integer

      >= 1

    • walletLabel string
    • resolvers array of objects
      resolvers object
      • user string required
      • date string required
      • resolutionType string enum required
        approvedawaitingSignaturependingpendingBitGoAdminApprovalpendingCryptographicApprovalpendingCustodianApprovalpendingFinalApprovalpendingIdVerificationpendingVideoApprovalprocessingrejected
      • signatures array of strings required
      • videoApprover string
      • videoLink string
      • videoException string
    • addressLabels array of objects
      addressLabels object
      • address string required

        up to 500 characters

      • label string nullable required
        A human-readable label for the address.

        up to 250 characters

      • walletLabel string
  • paymentStatus object
    paymentStatus object
    • status string enum
      State of the lightning payment
      in_flightsettledfailed
    • paymentHash string
      Hash of the lightning payment, unique identifier used when doing transfer lookup
    • paymentPreimage string
      Optional preimage of the payment
    • amountMsat string
      Amount in millisatoshis
    • feeMsat string
      Fee in millisatoshis
    • failureReason string enum

      Reason for payment failure:

      • TIMEOUT - Payment timed out
      • NO_ROUTE - No route found
      • ERROR - Non-recoverable error
      • INCORRECT_PAYMENT_DETAILS - Payment details are incorrect
      • INSUFFICIENT_BALANCE - Insufficient channel outbound capacity
      • INSUFFICIENT_WALLET_BALANCE - Insufficient custodial lightning balance
      • EXCESS_WALLET_BALANCE - Excess custodial lightning balance
      • INVOICE_EXPIRED - Invoice has expired
      • CANCELED - Payment was canceled
      TIMEOUTNO_ROUTEERRORINCORRECT_PAYMENT_DETAILSINSUFFICIENT_BALANCEINSUFFICIENT_WALLET_BALANCEEXCESS_WALLET_BALANCEINVOICE_EXPIREDCANCELED
400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code